Bug 429646 - Thunderbird become unresponsive when GL Destop is enabled
Thunderbird become unresponsive when GL Destop is enabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
TB12ReproductionRequest
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 23:45 EST by Tron Thomas
Modified: 2008-06-27 08:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 08:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X11 configuration file (862 bytes, text/plain)
2008-01-22 19:39 EST, Tron Thomas
no flags Details
X server log X server log file (29.86 KB, text/plain)
2008-01-22 19:42 EST, Tron Thomas
no flags Details
X server log file for no configuration (59.57 KB, text/plain)
2008-01-27 18:45 EST, Tron Thomas
no flags Details

  None (edit)
Description Tron Thomas 2008-01-21 23:45:42 EST
Description of problem:
Thunderbird can become unresponsive for several minutes at a time when the GL
Desktop is enabled

Version-Release number of selected component (if applicable):
2.0.0.9 (20071115)

How reproducible:
Very Frequent

Steps to Reproduce:
1.  Enable GL Desktop
2.  Launch Thunderbird
  
Actual results:
After a period of time Thunderbird will become unresponsive and then will
recover later on

Expected results:
Thunderbird should always remain responsive

Additional info:
I have verified when GL Desktop is disable there are no problem.  Also as stated
above waiting for a while will allow Thunderbird to recover.  Also, killing
Thunderbird and restarting also works.
Comment 1 Matěj Cepl 2008-01-22 18:56:13 EST
Tried but cannot reproduce.

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tron Thomas 2008-01-22 19:39:13 EST
Created attachment 292572 [details]
X11 configuration file
Comment 3 Tron Thomas 2008-01-22 19:42:23 EST
Created attachment 292573 [details]
X server log
X server log file
Comment 4 Tron Thomas 2008-01-22 19:45:04 EST
I'm not sure how I'm supposed to run without the /etc/X11/xorg.conf file.
Please provide more detail about what it needed.

I have an nVidia graphics with 256 Megabytes of video RAM.
Comment 5 Matěj Cepl 2008-01-23 04:52:11 EST
(In reply to comment #4)
> I'm not sure how I'm supposed to run without the /etc/X11/xorg.conf file.
> Please provide more detail about what it needed.

Just rename it to something else and restart X. Don't worry.
Comment 6 Tron Thomas 2008-01-24 11:26:02 EST
I have not had time yet to try running the X Windows server without a configuration.

However, I'm beginning to suspect that the problem happens whenever Thunderbird
receives new e-mail from the mail server.  Thunderbird is configured to access
e-mail through POP.
Comment 7 Tron Thomas 2008-01-27 18:45:04 EST
Created attachment 293092 [details]
X server log file for no configuration

This is the log file that was generated when I started the X Windows server
with no xorg.conf file (i.e. /etc/X11/xorg.conf)
Comment 8 Matěj Cepl 2008-01-28 12:56:08 EST
Reporter, this is Catch-22 you got into. OSS nv driver doesn't support GL
Desktop, so we cannot reproduce the bug with it, and we couldn't support
binary-only nvidia driver, because we don't have any idea what's going inside of
it. You can try with noveau driver, but it is not stable much. Actually, it
would be nice idea to try -- could you tell us what happens when you set up
nouveau driver with system-config-display. Does it help to your TB problem?

However, leaving this to Firefox guys to take a look as well.
Comment 9 Tron Thomas 2008-01-31 21:34:16 EST
I tried to enable the noveau driver.  I could not start the X server with that
driver enabled.
Comment 10 Tron Thomas 2008-01-31 23:21:25 EST
I'm not sure what has happened.  When the X server failed to start I restored
the /etc/X11/xorg.conf file from a backup.

After I brought up X Windows again, Thunder bird is acting much better. It is
not locking up and it now plays my mail notification sound, which it has never
done since I upgraded to Fedora 8.

When I check the display settings, it seems to indicate I'm using the original
driver when things were not working properly.
Comment 11 Matěj Cepl 2008-02-01 18:40:24 EST
Original driver means "xorg-x11-drv-nv" and you are using nvidia driver? Anyway,
seems like your problem has been (somehow) fixed. Closing as NOTABUG (anymore).
Comment 12 Tron Thomas 2008-02-01 18:59:08 EST
The Video Card dialog in the Display Settings lists the driver as:
nvidia - Vender-supplied driver for nvidia cards.

I don't know that I won't have this problem again.  So far all I've done is log
out of the system one time and it came up like this where everything is working.
 I don't know how the system will behave when I have a need to reboot.
Comment 13 Matěj Cepl 2008-02-01 20:41:55 EST
If the problem happens again, feel free to reopen the bug, but please don't do
it if you use nvidia (binary-only) driver from nVidia. We cannot support these
drivers, and I would have to close your bug as CANTFIX. I know that nv driver
doesn't support GL Desktop in the moment, so you would have to try nouveau (and
that's quite experimental). Sorry, bad situation, but we have really a lot of
experiences with bugs surprisingly vanishing when user switched from nvidia to
nv driver (don't blaming nvidia for the problem, we have our own problems with
nv driver -- with not being able to run GL Desktop in the first place -- but the
issue with nvidia drivers just cannot be solved by us).
Comment 14 Matěj Cepl 2008-02-01 20:43:21 EST
Just to add -- if the problem happens again, you may try nvidia forums. We have
reports about people there being pretty good in supporting users.
Comment 15 Tron Thomas 2008-03-06 12:15:38 EST
As per comments from mcepl@redhat.com, I am reopening this bug.  I finally got
to the point where I had to reboot the my system, and the problem has returned.

It is also suggested that I try some nVidia forums.  Where can I find these forums?
Comment 16 Matěj Cepl 2008-03-07 17:42:52 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 17 Tron Thomas 2008-03-07 18:16:26 EST
I usually update Thunderbird through yum.  However I don't see a current update
for it.

When should I expect the update to be available?
Comment 18 Matěj Cepl 2008-03-10 09:17:53 EDT
It should be in updates now. See for example:

http://sunsite.mff.cuni.cz/pub/fedora/updates/8/i386/thunderbird-2.0.0.12-1.fc8.i386.rpm

Comment 19 Matěj Cepl 2008-06-26 05:02:04 EDT
Reporter, are you able to reproduce the problem with current
thunderbird-2.0.0.14-1.fc8?

Thank you
Comment 20 Tron Thomas 2008-06-26 21:24:14 EDT
I have since upgraded to Fedora 9, and unfortunately I'm encountering problems
more serious than Thunderbird being unresponsive.
Comment 21 Matěj Cepl 2008-06-27 08:03:39 EDT
Oh well, I am sorry to hear that. This bug however, could be probably closed.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.